SKB_APPEND_DATATO(9)

NAME
skb_append_datato_frags - append the user data to a skb

SYNOPSIS

int skb_append_datato_frags (struct sock * sk, struct sk_buff * skb, int (*getfrag) <funcparams>void *from, char *to, int offset, int len, int odd, struct sk_buff *skb</funcparams>, void * from, int length);

ARGUMENTS

sk  sock structure

skb skb structure to be appened with user data.

getfrag
    call back function to be used for getting the user data

from
    pointer to user message iov

length
    length of the iov message

DESCRIPTION

This procedure append the user data in the fragment part of the skb if any page alloc fails user this procedure returns -ENOMEM